rem Shutdown the database server.
rem To do this we must shutdown all the databases running in the server.

rem Shutdown the purchase database

java -cp ../jars/hsqldb.jar org.hsqldb.util.ShutdownServer -url jdbc:hsqldb:hsql://localhost/purchase

if errorlevel 1 goto error

rem Shutdown the customer database

java -cp ../jars/hsqldb.jar org.hsqldb.util.ShutdownServer -url jdbc:hsqldb:hsql://localhost/customer

if errorlevel 1 goto error

rem Shutdown the test database

java -cp ../jars/hsqldb.jar org.hsqldb.util.ShutdownServer -url jdbc:hsqldb:hsql://localhost/test

if errorlevel 1 goto error

goto end

:error
pause

:end
exit
