<#-- START TEMPLATE HEADER -->
<#-- category=appservers/weblogic/7.0 -->
<#-- type=application -->
<#-- version=1.0 -->
<#-- fileNameTemplate=weblogic-application.xml -->
<#-- relativeOutputDirectory=ant/weblogic-7.0 -->
<#-- END TEMPLATE HEADER -->
<!DOCTYPE weblogic-application
  PUBLIC "-//BEA Systems, Inc.//DTD WebLogic Application 7.0.0//EN"
  "http://www.bea.com/servers/wls700/dtd/weblogic-application_1_0.dtd;">

<!--

  Copyright (c) 2004-2005 Code Canvas Technologies Pty Ltd. All Rights Reserved.

  Modification and redistribution of this file is permitted subject to the
  terms and conditions of the RapidJ End User License Agreement:
  http://www.codecanvas.com.au/rapidj/license.php

  {{$RapidJ$}}

-->

<!--

${f.formatLines(project.copyright, '  ', 80)}

-->

<weblogic-application>

	<jdbc-connection-pool>
		<data-source-name>@app.name@DS</data-source-name>
		<connection-factory>
			<connection-properties>
				<!--<user-name>@dataSource.username@</user-name>-->
				<url>@dataSource.jdbcUrl@</url>
				<driver-class-name>@dataSource.jdbcDriver@</driver-class-name>
				<connection-params>
					<parameter>
						<param-name>user</param-name>
						<param-value>@dataSource.username@</param-value>
					</parameter>
					<parameter>
						<param-name>password</param-name>
						<param-value>@dataSource.password@</param-value>
					</parameter>
				</connection-params>
			</connection-properties>
		</connection-factory>
	</jdbc-connection-pool>

</weblogic-application>
