<#-- START TEMPLATE HEADER -->
<#-- category=generic -->
<#-- type=application -->
<#-- version=1.0 -->
<#-- fileNameTemplate=Versionable.java -->
<#-- relativeOutputDirectory=src -->
<#-- relativePackage=data.dao -->
<#-- END TEMPLATE HEADER -->
/*
 * Copyright (c) 2004-2005 Code Canvas Technologies Pty Ltd. All Rights Reserved.
 *
 * Modification and redistribution of this file is permitted subject to the
 * terms and conditions of the RapidJ End User License Agreement:
 * http://www.codecanvas.com.au/rapidj/license.php
 *
 * {{$RapidJ$}}
 */

/*
${f.formatLines(project.copyright, ' * ', 80)}
 */
package ${project.rootPackage}.data.dao;

/**
 * An interface for objects that have can have different versions.
 */
public interface Versionable {

	/**
	 * Get the version for this object
	 */
	public Long getVersion();

	/**
	 * Set the version for this object
	 *
	 * @param version the new version
	 */
	public void setVersion(Long version);

}

