<#-- START TEMPLATE HEADER -->
<#-- category=generic -->
<#-- type=application -->
<#-- version=1.0 -->
<#-- fileNameTemplate=application.properties -->
<#-- relativeOutputDirectory=src -->
<#-- END TEMPLATE HEADER -->
#
# Copyright (c) 2004-2005 Code Canvas Technologies Pty Ltd. All Rights Reserved.
#
# Modification and redistribution of this file is permitted subject to the
# terms and conditions of the RapidJ End User License Agreement:
# http://www.codecanvas.com.au/rapidj/license.php
#
# {{$RapidJ$}}
#

#
${f.formatLines(project.copyright, '# ', 80)}
#

#
# The JNDI name of the DataSource
#
dataSource.jndiName=@dataSource.jndiName@

#
# The userid used by DAO classes if no user is logged in
#
dao.guestUserId=guest

#
# Key grab size used by the SequenceGenerator
#
sequenceGenerator.grabSize=20
<#list guiComponents as guiComponent>
	<#if guiComponent.isPagingEnabled()>

#
# The maximum number of records shown on a single page for the ${f.cla(guiComponent.name)}
#
${f.att(guiComponent.name)}.pageSize=${guiComponent.pageSize}
	</#if>
</#list>
