<#-- START TEMPLATE HEADER -->
<#-- category=generic -->
<#-- type=includes -->
<#-- version=1.0 -->
<#-- END TEMPLATE HEADER -->

	/**
	 * List of ${f.cla(guiComp.entity.name)}TOs being displayed
	 */
	private ArrayList ${guiCompNameA}${entityName}TOs;

	/**
	 * The id of the ${entityName} being acted on in the list
	 */
	private Long ${guiCompNameA}${entityName}Id;

	/**
	 * The id of the ${parentEntityName}
	 */
	private Long ${guiCompNameA}${parentEntityName}Id;
<#if guiComp.parent.isMultiDetail()>

	/**
	 * The parent ${parentEntityName} that the list is for
	 */
	private ${f.cla(iRelationship.parent.name)}TO ${guiCompNameA}${parentEntityName}TO;
</#if>
<#if guiComp.isPagingEnabled()>

	/**
	 * The requested page number
	 */
	private int ${guiCompNameA}PageNumber = 1;
</#if>
<@common.generateGetterSetter name="${guiCompNameA}${entityName}TOs"       type="ArrayList"/>
<@common.generateGetterSetter name="${guiCompNameA}${entityName}Id"        type="Long"/>
<@common.generateGetterSetter name="${guiCompNameA}${parentEntityName}Id"  type="Long"/>
<#if guiComp.parent.isMultiDetail()>
	<@common.generateGetterSetter name="${guiCompNameA}${parentEntityName}TO"  type="${f.cla(iRelationship.parent.name)}TO"/>
</#if>
<#if guiComp.isPagingEnabled()>
	<@common.generateGetterSetter name="${guiCompNameA}PageNumber" type="int"/>
</#if>
