<#-- START TEMPLATE HEADER -->
<#-- category=generic -->
<#-- type=includes -->
<#-- version=1.0 -->
<#-- END TEMPLATE HEADER -->

	/**
	 * The id of the ${entityName} being acted on
	 */
	private Long ${guiCompNameA}${entityName}Id;

	/**
	 * The ${entityName}
	 */
	private ${f.cla(guiComp.entity.name)}TO ${guiCompNameA}${entityName}TO;

	/**
	 * The editable ${guiCompName}${f.cla(guiComp.entity.name)}FO
	 */
	private ${guiCompName}${f.cla(guiComp.entity.name)}FO ${guiCompNameA}${entityName}FO;
<#-- And if the parent gui comp has a parent, we need the parent id -->
<#if guiComp.parent.parent?exists>

	/**
	 * The id of the ${parentEntityName}
	 */
	private Long ${guiCompNameA}${parentEntityName}Id;
</#if>
<#list guiComp.entity.identifyingRelationshipsWithParents as relationship>
	<#if !guiComp.parent.parent?exists || relationship != iRelationship>

	/**
	 * List of available ${f.cla(relationship.parentAssociationName)} as ${f.cla(relationship.parent.name)}TOs
	 */
	private ArrayList ${guiCompNameA}${f.cla(relationship.parentAssociationName)}s = new ArrayList();
	</#if>
</#list>
<#-- List of non identified children -->
<#list guiComp.entity.nonIdentifyingRelationshipsWithChildren as relationship>

	/**
	 * List of available ${f.cla(relationship.childAssociationName)} as ${f.cla(relationship.child.name)}TOs
	 */
	private ArrayList ${guiCompNameA}${f.cla(relationship.childAssociationName)}s = new ArrayList();
</#list>
<@common.generateGetterSetter name="${guiCompNameA}${entityName}Id" type="Long"/>
<@common.generateGetterSetter name="${guiCompNameA}${entityName}TO" type="${f.cla(guiComp.entity.name)}TO"/>
<@common.generateGetterSetter name="${guiCompNameA}${entityName}FO" type="${guiCompName}${f.cla(guiComp.entity.name)}FO"/>
<#if guiComp.parent.parent?exists>
	<@common.generateGetterSetter name="${guiCompNameA}${parentEntityName}Id" type="Long"/>
</#if>
<#list guiComp.entity.identifyingRelationshipsWithParents as relationship>
	<#if !guiComp.parent.parent?exists || relationship != iRelationship>
	<@common.generateGetterSetter name="${guiCompNameA}${f.cla(relationship.parentAssociationName)}s" type="ArrayList"/>
	</#if>
</#list>
<#list guiComp.entity.nonIdentifyingRelationshipsWithChildren as relationship>
	<@common.generateGetterSetter name="${guiCompNameA}${f.cla(relationship.childAssociationName)}s" type="ArrayList"/>
</#list>
