<#-- START TEMPLATE HEADER -->
<#-- category=generic -->
<#-- type=includes -->
<#-- version=1.0 -->
<#-- END TEMPLATE HEADER -->

	/**
	 * The id of the ${entityName} being acted on
	 */
	private Long ${guiCompNameA}${entityName}Id;

	/**
	 * List of ${f.cla(guiComp.entity.name)}TOs
	 */
	private ArrayList ${guiCompNameA}${entityName}TOs = null;

	/**
	 * List of editable ${guiCompName}${entityName}FOs
	 */
	private final ArrayList ${guiCompNameA}${entityName}FOs = new ArrayList();
<#list guiComp.entity.identifyingRelationshipsWithParents as relationship>
	<#if relationship.isOneToMany()>

	/**
	 * List of available ${f.cla(relationship.parentAssociationName)} as ${f.cla(relationship.parent.name)}TOs
	 */
	private ArrayList ${guiCompNameA}${f.cla(relationship.parentAssociationName)}s = new ArrayList();
	</#if>
</#list>
<#-- List of non identified children -->
<#list guiComp.entity.nonIdentifyingRelationshipsWithChildren as relationship>

	/**
	 * List of available ${f.cla(relationship.childAssociationName)} as ${f.cla(relationship.child.name)}TOs
	 */
	private ArrayList ${guiCompNameA}${f.cla(relationship.childAssociationName)}s = new ArrayList();
</#list>
<@common.generateGetterSetter name="${guiCompNameA}${entityName}Id" type="Long"/>
<@common.generateGetterSetter name="${guiCompNameA}${entityName}TOs" type="ArrayList"/>
<@common.generateGetter       name="${guiCompNameA}${entityName}FOs" type="ArrayList"/>
<#list guiComp.entity.identifyingRelationshipsWithParents as relationship>
	<#if relationship.isOneToMany()>
		<@common.generateGetterSetter name="${guiCompNameA}${f.cla(relationship.parentAssociationName)}s" type="ArrayList"/>
	</#if>
</#list>
<#list guiComp.entity.nonIdentifyingRelationshipsWithChildren as relationship>
	<@common.generateGetterSetter name="${guiCompNameA}${f.cla(relationship.childAssociationName)}s" type="ArrayList"/>
</#list>
