<#-- START TEMPLATE HEADER -->
<#-- category=generic -->
<#-- type=includes -->
<#-- version=1.0 -->
<#-- END TEMPLATE HEADER -->
	<tr>
		<td class="fieldName">
			<bean:message key="${guiCompNameA}.${f.att(entityName)}.displayName"/>
			<nested:hidden property="version"/>
		</td>
		<td class="fieldValue">
			<logic:present name="${f.att(entityName)}TO">
<#if guiComp.entity.userIdentifier?exists>
				<bean:write name="${f.att(entityName)}TO" property="${f.att(guiComp.entity.userIdentifier.name)}"/>
<#else>
				<nested:write property="${f.att(guiComp.entity.name)}Id"/>
</#if>
			</logic:present>
		</td>
		<td>
		</td>
	</tr>
<#list guiComp.visibleDetailFields as detailField>
	<#assign attribute = detailField.attribute/>
	<tr>
		<td class="fieldName" valign="top">
			<bean:message key="${guiCompNameA}.${f.att(attribute.name)}.displayName"/>
			<#if detailField.required>*</#if>
		</td>
		<td class="fieldValue" valign="top">
	<#if detailField.isEditable()>
		<#if attribute.javaType == 'java.lang.String'>
			<nested:text property="${f.att(attribute.name)}" maxlength="${attribute.size}"/>
		<#elseif attribute.javaType == 'java.lang.Boolean'>
			<custom:checkbox property="${f.att(attribute.name)}"/>
		<#else>
			<nested:text property="${f.att(attribute.name)}"/>
		</#if>
		<#if attribute.javaType == 'java.sql.Date'>
			<custom:cal property="${f.att(attribute.name)}">
				<bean:message key="common.select"/>
			</custom:cal>
		</#if>
	<#else>
			<logic:present name="${f.att(entityName)}TO">
		<#if attribute.javaType == 'java.lang.Boolean'>
				<logic:equal name="${f.att(entityName)}TO" property="${f.att(attribute.name)}" value="true">
					<bean:message key="common.true"/>
				</logic:equal>
				<logic:notEqual name="${f.att(entityName)}TO" property="${f.att(attribute.name)}" value="true">
					<bean:message key="common.false"/>
				</logic:notEqual>
		<#else>
				<bean:write name="${f.att(entityName)}TO" property="${f.att(attribute.name)}"/>
		</#if>
			</logic:present>
	</#if>
		</td>
		<td valign="top">
	<#-- Errors -->
			<%-- Errors for ${f.att(attribute.name)} --%>
			<nested:messagesPresent property="${f.att(attribute.name)}">
			<table class="errors" cellspacing="2">
				<tr>
					<td class="errors">
						<ul class="errors">
							<nested:messages id="msg" property="${f.att(attribute.name)}">
							<li class="errors">
								<nested:present name="msg"><bean:write name="msg"/></nested:present>
							</li>
							</nested:messages>
						</ul>
					</td>
				</tr>
			</table>
			</nested:messagesPresent>
	<#-- Messages -->
			<%-- Messages for ${f.att(attribute.name)} --%>
			<nested:messagesPresent message="true" property="${f.att(attribute.name)}">
			<table class="messages" cellspacing="2">
				<tr>
					<td class="messages">
						<ul class="messages">
							<nested:messages message="true" id="msg" property="${f.att(attribute.name)}">
							<li class="messages">
								<nested:present name="msg"><bean:write name="msg"/></nested:present>
							</li>
							</nested:messages>
						</ul>
					</td>
				</tr>
			</table>
			</nested:messagesPresent>
		</td>
	</tr>
</#list>
