<#-- START TEMPLATE HEADER -->
<#-- category=generic -->
<#-- type=includes -->
<#-- version=1.0 -->
<#-- END TEMPLATE HEADER -->
<div class="detailHeader"><bean:message key="${guiCompNameA}.header"/></div>

<nested:present property="${guiCompNameA}${entityName}FO">
<nested:nest property="${guiCompNameA}${entityName}FO">
	<nested:greaterThan property="${f.att(guiComp.entity.name)}Id" value="0">
		<nested:define id="${f.att(entityName)}TO" property="../${guiCompNameA}${entityName}TO" toScope="page"/>
	</nested:greaterThan>

<% request.setAttribute("showSaveButton", "true"); %>

<table class="detail" cellspacing="0">
<#-- Include the detail form -->
<#include "JSP_DetailForm.jsp.ftl"/>
<#-- Allow user to select a parent entity, if it has not been implied -->
<#list guiComp.entity.identifyingRelationshipsWithParents as relationship>
	<#if !guiComp.parent.parent?exists || relationship != iRelationship>
	<tr>
		<td class="fieldName"><bean:message key="${guiCompNameA}.${f.att(relationship.parentAssociationName)}.displayName"/> *</td>
		<td class="fieldValue">
			<nested:select property="${f.att(relationship.parentAssociationName)}Id">
				<nested:optionsCollection property="/${guiCompNameA}${f.cla(relationship.parentAssociationName)}s" label="<#if relationship.parent.userIdentifier?exists>${f.att(relationship.parent.userIdentifier.name)}<#else>${f.att(relationship.parent.name)}Id</#if>" value="${f.att(relationship.parent.name)}Id"/>
			</nested:select>
		</td>
	</tr>
	</#if>
</#list>
<#-- Allow user to select non identified children -->
<#list guiComp.entity.nonIdentifyingRelationshipsWithChildren as relationship>
	<tr>
		<td class="fieldName"><bean:message key="${guiCompNameA}.${f.att(relationship.childAssociationName)}.displayName"/></td>
		<td class="fieldValue">
			<nested:select property="${f.att(relationship.childAssociationName)}Id">
				<option value=""><bean:message key="common.none"/></option>
				<nested:optionsCollection property="/${guiCompNameA}${f.cla(relationship.childAssociationName)}s" label="<#if relationship.child.userIdentifier?exists>${f.att(relationship.child.userIdentifier.name)}<#else>${f.att(relationship.child.name)}Id</#if>" value="${f.att(relationship.child.name)}Id"/>
			</nested:select>
		</td>
	</tr>
</#list>
	<tr>
		<td class="detailLinks" colspan="2">
			<%-- Display children links if existing --%>
			<nested:greaterThan property="${f.att(guiComp.entity.name)}Id" value="0">
<#-- External children links -->
<#list guiComp.externalChildren as childGUIComp>
	<#assign relationship = childGUIComp.entity.getIdentifyingRelationshipWithParent(guiComp.entity)/>
	<#if childGUIComp.isDetail()>
			<a href="${f.att(childGUIComp.name)}.do?dispatch=${f.att(childGUIComp.name)}Edit&${f.att(childGUIComp.name)}${f.cla(relationship.parentAssociationName)}Id=<nested:write property="${f.att(guiComp.entity.name)}Id"/>"><bean:message key="${guiCompNameA}.${f.att(childGUIComp.name)}.${f.att(relationship.childAssociationName)}.displayName"/></a>
	<#else>
			<a href="${f.att(childGUIComp.name)}.do?dispatch=${f.att(childGUIComp.name)}List&${f.att(childGUIComp.name)}${f.cla(relationship.parentAssociationName)}Id=<nested:write property="${f.att(guiComp.entity.name)}Id"/>"><bean:message key="${guiCompNameA}.${f.att(childGUIComp.name)}.${f.att(relationship.childAssociationName)}.displayName"/></a>
	</#if>
</#list>
			</nested:greaterThan>
		</td>
	</tr>
</table>
</nested:nest>
</nested:present>
