<#-- START TEMPLATE HEADER -->
<#-- category=generic -->
<#-- type=includes -->
<#-- version=1.0 -->
<#-- END TEMPLATE HEADER -->
<div class="listHeader"><bean:message key="${guiCompNameA}.header"/>
<#-- Display the details of the selected parent instance -->
<nested:present property="${guiCompNameA}${parentEntityName}TO">
	- <bean:message key="${guiCompNameA}.${f.att(iRelationship.parentAssociationName)}.displayName"/>
	<nested:write property="${guiCompNameA}${parentEntityName}TO.<#if iRelationship.parent.userIdentifier?exists>${f.att(iRelationship.parent.userIdentifier.name)}<#else>${f.att(iRelationship.parent.name)}Id</#if>"/>
</nested:present>
</div>

<nested:present property="${guiCompNameA}${entityName}TOs">

<#if guiComp.isPagingEnabled()>
	<#-- Include the paging navigation bar -->

	<#include "JSP_PagingNavBar.jsp.ftl"/>
</#if>

<table class="list" cellspacing="0">
	<tr>
<#list guiComp.visibleListColumns as listColumn>
		<td class="columnName"><bean:message key="${guiCompNameA}.${f.att(listColumn.attribute.name)}.displayName"/></td>
</#list>
		<td class="columnName"><bean:message key="common.action"/></td>
	</tr>
	<nested:iterate property="${guiCompNameA}${entityName}TOs">
	<tr>
<#-- Include the list columns -->
<#include "JSP_ListColumns.jsp.ftl"/>
		<td class="columnValue">
<#-- Internal edit link -->
<#list guiComp.internalChildren as childGUIComp>
	<#if childGUIComp.isDetail() && childGUIComp.forSameEntity(guiComp)>
			<a href="${f.att(topLevelAncestor.name)}.do?dispatch=${f.att(childGUIComp.name)}Edit&${f.att(childGUIComp.name)}${entityName}Id=<nested:write property="${f.att(guiComp.entity.name)}Id"/>#${f.att(childGUIComp.name)}"><bean:message key="common.edit"/></a>
	</#if>
</#list>
<#-- External edit link -->
<#list guiComp.externalChildren as childGUIComp>
	<#if childGUIComp.isDetail() && childGUIComp.forSameEntity(guiComp)>
			<a href="${f.att(childGUIComp.name)}.do?dispatch=${f.att(childGUIComp.name)}Edit&${f.att(childGUIComp.name)}${entityName}Id=<nested:write property="${f.att(guiComp.entity.name)}Id"/>"><bean:message key="common.edit"/></a>
	</#if>
</#list>
<#-- Internal children links -->
<#list guiComp.internalChildren as childGUIComp>
	<#if !childGUIComp.forSameEntity(guiComp)>
		<#assign relationship = childGUIComp.entity.getIdentifyingRelationshipWithParent(guiComp.entity)/>
		<#if childGUIComp.isDetail()>
			<a href="${f.att(topLevelAncestor.name)}.do?dispatch=${f.att(childGUIComp.name)}Edit&${f.att(childGUIComp.name)}${f.cla(relationship.parentAssociationName)}Id=<nested:write property="${f.att(guiComp.entity.name)}Id"/>#${f.att(childGUIComp.name)}"><bean:message key="${guiCompNameA}.${f.att(childGUIComp.name)}.${f.att(relationship.childAssociationName)}.displayName"/></a>
		<#else>
			<a href="${f.att(topLevelAncestor.name)}.do?dispatch=${f.att(childGUIComp.name)}List&${f.att(childGUIComp.name)}${f.cla(relationship.parentAssociationName)}Id=<nested:write property="${f.att(guiComp.entity.name)}Id"/>#${f.att(childGUIComp.name)}"><bean:message key="${guiCompNameA}.${f.att(childGUIComp.name)}.${f.att(relationship.childAssociationName)}.displayName"/></a>
		</#if>
	</#if>
</#list>
<#-- External children links -->
<#list guiComp.externalChildren as childGUIComp>
	<#if !childGUIComp.forSameEntity(guiComp)>
		<#assign relationship = childGUIComp.entity.getIdentifyingRelationshipWithParent(guiComp.entity)/>
		<#if childGUIComp.isDetail()>
			<a href="${f.att(childGUIComp.name)}.do?dispatch=${f.att(childGUIComp.name)}Edit&${f.att(childGUIComp.name)}${f.cla(relationship.parentAssociationName)}Id=<nested:write property="${f.att(guiComp.entity.name)}Id"/>"><bean:message key="${guiCompNameA}.${f.att(childGUIComp.name)}.${f.att(relationship.childAssociationName)}.displayName"/></a>
		<#else>
			<a href="${f.att(childGUIComp.name)}.do?dispatch=${f.att(childGUIComp.name)}List&${f.att(childGUIComp.name)}${f.cla(relationship.parentAssociationName)}Id=<nested:write property="${f.att(guiComp.entity.name)}Id"/>"><bean:message key="${guiCompNameA}.${f.att(childGUIComp.name)}.${f.att(relationship.childAssociationName)}.displayName"/></a>
		</#if>
	</#if>
</#list>
<#-- Delete link -->
			<a href="${f.att(topLevelAncestor.name)}.do?dispatch=${guiCompNameA}Delete&${guiCompNameA}${entityName}Id=<nested:write property="${f.att(guiComp.entity.name)}Id"/>#${guiCompNameA}" onclick="return confirm('<bean:message key="common.confirmDelete"/>');"><bean:message key="common.delete"/></a>
		</td>
	</tr>
	</nested:iterate>
</table>

</nested:present>

<#-- "Add New" buttons -->
<nested:present property="${guiCompNameA}${parentEntityName}Id">
<#list guiComp.internalDetailChildren as child>
	<#if child.forSameEntity(guiComp)>
<input type="button" value="<bean:message key="common.add"/>" onclick="doPost(document.${formName}, '${f.att(guiComp.topLevelAncestor.name)}.do', '${f.att(child.name)}Add','${f.att(child.name)}${parentEntityName}Id', '<nested:write property="${guiCompNameA}${parentEntityName}Id"/>', '${guiCompNameA}');">
	</#if>
</#list>
<#list guiComp.externalDetailChildren as child>
	<#if child.forSameEntity(guiComp)>
<input type="button" value="<bean:message key="common.add"/>" onclick="doGet('${f.att(child.name)}.do','${f.att(child.name)}Add', '${f.att(child.name)}${parentEntityName}Id', '<nested:write property="${guiCompNameA}${parentEntityName}Id"/>', null, null, '${guiCompNameA}');">
	</#if>
</#list>
</nested:present>
