<#-- START TEMPLATE HEADER -->
<#-- category=generic -->
<#-- type=application -->
<#-- version=1.0 -->
<#-- fileNameTemplate=Identifiable.java -->
<#-- relativeOutputDirectory=src -->
<#-- relativePackage=util.identity -->
<#-- END TEMPLATE HEADER -->
/*
 * Copyright (c) 2004-2005 Code Canvas Technologies Pty Ltd. All Rights Reserved.
 *
 * Modification and redistribution of this file is permitted subject to the
 * terms and conditions of the RapidJ End User License Agreement:
 * http://www.codecanvas.com.au/rapidj/license.php
 *
 * {{$RapidJ$}}
 */

/*
${f.formatLines(project.copyright, ' * ', 80)}
 */
package ${project.rootPackage}.util.identity;

/**
 * Interface for objects that can be identified by a Long.
 */
public interface Identifiable {

	/**
	 * Returns the Long identifying this.
	 *
	 * @return - the id.
	 */
	public Long getId();

}
