<#-- START TEMPLATE HEADER -->
<#-- category=generic -->
<#-- type=application -->
<#-- version=1.0 -->
<#-- fileNameTemplate=actionError.jsp -->
<#-- relativeOutputDirectory=web/WEB-INF/jsp -->
<#-- END TEMPLATE HEADER -->
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%--

  Copyright (c) 2004-2005 Code Canvas Technologies Pty Ltd. All Rights Reserved.

  Modification and redistribution of this file is permitted subject to the
  terms and conditions of the RapidJ End User License Agreement:
  http://www.codecanvas.com.au/rapidj/license.php

  {{$RapidJ$}}

--%>
<%--

${f.formatLines(project.copyright, '  ', 80)}

--%>
<%--

  This is the page delegated to by the struts global error handler
  defined in struts-config.xml.

--%>
<html:html locale="true">
<head>
	<title><bean:message key="application.title"/> - <bean:message key="common.error"/></title>
	<link rel="stylesheet" href="css/style.css" type="text/css">
</head>
<body>

<table class="outer">
	<tr>
		<td class="outerMenu" valign="top">
			<jsp:include page="menu.jsp"/>
		</td>
		<td class="outerActionError" valign="top">
			<%-- Errors --%>
			<table class="actionError" cellspacing="2">
				<tr>
					<td class="actionError" valign="top">
						<div class="actionErrorHeader"><bean:message key="common.error"/></div>
						<ul class="actionError">
							<html:messages id="msg">
							<li class="actionError">
								<nested:present name="msg"><bean:write name="msg"/></nested:present>
							</li>
							</html:messages>
						</ul>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>

</body>
</html:html>

