<#-- START TEMPLATE HEADER -->
<#-- category=generic -->
<#-- type=application -->
<#-- version=1.0 -->
<#-- fileNameTemplate=log4j.xml -->
<#-- relativeOutputDirectory=src -->
<#-- END TEMPLATE HEADER -->
<?xml version="1.0" encoding="ISO-8859-1" ?>

<!DOCTYPE log4j:configuration SYSTEM "log4j.dtd">

<!--

  Copyright (c) 2004-2005 Code Canvas Technologies Pty Ltd. All Rights Reserved.

  Modification and redistribution of this file is permitted subject to the
  terms and conditions of the RapidJ End User License Agreement:
  http://www.codecanvas.com.au/rapidj/license.php

  {{$RapidJ$}}

-->

<!--

${f.formatLines(project.copyright, '  ', 80)}

-->

<log4j:configuration xmlns:log4j="http://jakarta.apache.org/log4j/">

	<!-- Rolling file appender -->
	<appender name="R" class="org.apache.log4j.RollingFileAppender">
		<param name="File" value="${f.cla(project.name)}.log"/>
		<param name="Append" value="false"/>
		<param name="MaxFileSize" value="5000KB"/>
		<param name="MaxBackupIndex" value="5"/>
		<layout class="org.apache.log4j.PatternLayout">
			<param name="ConversionPattern" value="%d %p %c{1} %M - %m%n"/>
		</layout>
	</appender>

	<!-- Categories -->
	<category name="${project.rootPackage}.util.copy.CopyUtils">
		<priority value="INFO"/>
	</category>
	<category name="${project.rootPackage}.util.dao.DAOUtils">
		<priority value="INFO"/>
	</category>
	<category name="log4j.logger.org.apache.commons.digester">
		<priority value="INFO"/>
	</category>
	<category name="log4j.logger.org.apache.commons.beanutils">
		<priority value="INFO"/>
	</category>
	<category name="log4j.logger.org.apache.struts.util.RequestUtils">
		<priority value="INFO"/>
	</category>

	<!-- Root -->
	<root>
		<priority value="INFO"/>
		<appender-ref ref="R"/>
	</root>

</log4j:configuration>
