<#-- START TEMPLATE HEADER -->
<#-- category=generic -->
<#-- type=application -->
<#-- version=1.0 -->
<#-- fileNameTemplate=style.css -->
<#-- relativeOutputDirectory=web/css -->
<#-- END TEMPLATE HEADER -->
/*
 * Copyright (c) 2004-2005 Code Canvas Technologies Pty Ltd. All Rights Reserved.
 *
 * Modification and redistribution of this file is permitted subject to the
 * terms and conditions of the RapidJ End User License Agreement:
 * http://www.codecanvas.com.au/rapidj/license.php
 *
 * {{$RapidJ$}}
 */

/*
${f.formatLines(project.copyright, ' * ', 80)}
 */

/* Body */

body {background-color: white; font-family: arial; color: black;}


/* Outer Table */

table.outer {border:0px; width: 80%; border:1px solid #8FA0BA; background-color: #EEEEEE;}
td.outerMenu {}
td.outerMain {width: 100%;}
td.outerHome {width: 100%;}
td.outerActionError {width: 100%;}


/* Menu Table */

table.menu {border:1px solid #8FA0BA; background-color: white;}
th.menu {white-space: nowrap; text-align: left;}
td.menu {white-space: nowrap;}


/* Home Table */

table.home {height: 300px; width:100%; border:1px solid #8FA0BA; background-color: white;}
.homeHeader {font-weight:bold; font-size: 110%; line-height: 160%;}


/* Action Error Table */

table.actionError {height: 300px; width:100%; border:1px solid #8FA0BA; background-color: white;}
.actionErrorHeader {font-weight:bold; font-size: 110%; line-height: 160%;}
td.actionError {padding:2px;}
ul.actionError {}
li.actionError {}


/* Main Table */

table.main {border:0px; width: 100%;}
td.mainMessages {}
td.mainErrors {}
td.mainGUIComponent {}
td.mainButtons {text-align: right;}


/* Errors */

table.errors {background-color: #FF6666; width:100%; border:1px solid black;}
td.errors {padding:2px;}
ul.errors {}
li.errors {}


/* Messages */

table.messages {background-color: #9999FF; width:100%; border:1px solid black;}
td.messages {padding:2px;};
ul.messages {}
li.messages {}


/* GUI Components */

table.guiComponent {width:100%; border:1px solid #8FA0BA; background-color: white;}
td.guiComponent {padding:2px;}


/* Detail GUIComponents */

.detailHeader {font-weight:bold; font-size: 110%; line-height: 160%;}
table.detail {background-color: #CCCCCC; border:1px solid #8FA0BA;}
td.fieldName {padding:1px;}
td.fieldValue {padding:1px;}
td.detailLinks {padding:1px; text-align: right;}


/* List GUIComponents */

.listHeader {font-weight:bold; font-size: 110%; line-height: 160%;}
h3.list {}
table.list {border:1px solid #8FA0BA; border-collapse: collapse;}
td.columnName {background-color: #CCCCCC; border:1px solid #8FA0BA; padding:1px;}
td.columnValue {border:1px solid #8FA0BA; padding:1px;}


/* Paging Nav Bar */

.pagingNavBar {}
.currentPage {font-weight: bold;}


/* Time Taken */

#timeTaken {font-size: 70%;}
