<#-- START TEMPLATE HEADER -->
<#-- category=generic -->
<#-- type=includes -->
<#-- version=1.0 -->
<#-- END TEMPLATE HEADER -->
<div class="detailHeader"><bean:message key="${guiCompNameA}.header"/></div>

<nested:present property="${guiCompNameA}${entityName}FOs">
<nested:iterate property="${guiCompNameA}${entityName}FOs" indexId="index">
	<%-- If the FO exists then put the TO in the page context (clear it first) --%>
	<% pageContext.removeAttribute("${f.att(guiComp.entity.name)}TO"); %>
	<nested:greaterThan property="${f.att(guiComp.entity.name)}Id" value="0">
		<nested:define id="${f.att(guiComp.entity.name)}TO" property='<%=("../${guiCompNameA}${entityName}TOs["+index+"]")%>' toScope="page"/>
	</nested:greaterThan>

<% request.setAttribute("showSaveButton", "true"); %>

<table class="detail" cellspacing="0">
<#-- Include the detail form -->
<#include "JSP_DetailForm.jsp.ftl"/>
<#-- Allow user to select a parent entity, if it has not been implied -->
<#list guiComp.entity.identifyingRelationshipsWithParents as relationship>
	<#if relationship.isOneToMany()>
	<tr>
		<td class="fieldName"><bean:message key="${guiCompNameA}.${f.att(relationship.parentAssociationName)}.displayName"/> *</td>
		<td class="fieldValue">
			<nested:select property="${f.att(relationship.parentAssociationName)}Id">
				<nested:optionsCollection property="/${guiCompNameA}${f.cla(relationship.parentAssociationName)}s" label="<#if relationship.parent.userIdentifier?exists>${f.att(relationship.parent.userIdentifier.name)}<#else>${f.att(relationship.parent.name)}Id</#if>" value="${f.att(relationship.parent.name)}Id"/>
			</nested:select>
		</td>
	</tr>
	</#if>
</#list>
<#-- Allow user to select non identified children -->
<#list guiComp.entity.nonIdentifyingRelationshipsWithChildren as relationship>
	<tr>
		<td class="fieldName"><bean:message key="${guiCompNameA}.${f.att(relationship.childAssociationName)}.displayName"/></td>
		<td class="fieldValue">
			<nested:select property="${f.att(relationship.childAssociationName)}Id">
				<option value=""><bean:message key="common.none"/></option>
				<nested:optionsCollection property="/${guiCompNameA}${f.cla(relationship.childAssociationName)}s" label="<#if relationship.child.userIdentifier?exists>${f.att(relationship.child.userIdentifier.name)}<#else>${f.att(relationship.child.name)}Id</#if>" value="${f.att(relationship.child.name)}Id"/>
			</nested:select>
		</td>
	</tr>
</#list>
	<tr>
		<td class="detailLinks" colspan="2">
			<%-- Display children links if existing --%>
			<nested:greaterThan property="${f.att(guiComp.entity.name)}Id" value="0">
<#-- Internal children links -->
<#list guiComp.internalChildren as childGUIComp>
	<#assign relationship = childGUIComp.entity.getIdentifyingRelationshipWithParent(guiComp.entity)/>
	<#if childGUIComp.isDetail()>
			<a href="${f.att(topLevelAncestor.name)}.do?dispatch=${f.att(childGUIComp.name)}Edit&${f.att(childGUIComp.name)}${f.cla(relationship.parentAssociationName)}Id=<nested:write property="${f.att(guiComp.entity.name)}Id"/>#${f.att(childGUIComp.name)}"><bean:message key="${guiCompNameA}.${f.att(childGUIComp.name)}.${f.att(relationship.childAssociationName)}.displayName"/></a>
	<#else>
			<a href="${f.att(topLevelAncestor.name)}.do?dispatch=${f.att(childGUIComp.name)}List&${f.att(childGUIComp.name)}${f.cla(relationship.parentAssociationName)}Id=<nested:write property="${f.att(guiComp.entity.name)}Id"/>#${f.att(childGUIComp.name)}"><bean:message key="${guiCompNameA}.${f.att(childGUIComp.name)}.${f.att(relationship.childAssociationName)}.displayName"/></a>
	</#if>
</#list>
<#-- External children links -->
<#list guiComp.externalChildren as childGUIComp>
	<#assign relationship = childGUIComp.entity.getIdentifyingRelationshipWithParent(guiComp.entity)/>
	<#if childGUIComp.isDetail()>
				<a href="${f.att(childGUIComp.name)}.do?dispatch=${f.att(childGUIComp.name)}Edit&${f.att(childGUIComp.name)}${f.cla(relationship.parentAssociationName)}Id=<nested:write property="${f.att(guiComp.entity.name)}Id"/>"><bean:message key="${guiCompNameA}.${f.att(childGUIComp.name)}.${f.att(relationship.childAssociationName)}.displayName"/></a>
	<#else>
				<a href="${f.att(childGUIComp.name)}.do?dispatch=${f.att(childGUIComp.name)}List&${f.att(childGUIComp.name)}${f.cla(relationship.parentAssociationName)}Id=<nested:write property="${f.att(guiComp.entity.name)}Id"/>"><bean:message key="${guiCompNameA}.${f.att(childGUIComp.name)}.${f.att(relationship.childAssociationName)}.displayName"/></a>
	</#if>
</#list>
			</nested:greaterThan>
<#-- Delete for each instance -->
			<a href="${f.att(topLevelAncestor.name)}.do?dispatch=${guiCompNameA}Delete&${guiCompNameA}${entityName}Id=<nested:write property="${f.att(guiComp.entity.name)}Id"/>#${guiCompNameA}" onclick="return confirm('<bean:message key="common.confirmDelete"/>');"><bean:message key="common.delete"/></a>
		</td>
	</tr>
</table>

</nested:iterate>
</nested:present>

<input type="button" value="<bean:message key="common.add"/>" onclick="doPost(document.${formName}, '${guiCompNameA}.do', '${guiCompNameA}Add', null, null, '${guiCompNameA}');">
