<#-- START TEMPLATE HEADER -->
<#-- category=generic -->
<#-- type=includes -->
<#-- version=1.0 -->
<#-- END TEMPLATE HEADER -->
################# Application Properties ######################################

#
# Name of the application
#
app.name=${f.att(project.name)}

#
# Version number of the application.
#
app.version=1.0


################# Database Properties #########################################

#
# The DataSource JNDI name
#
dataSource.jndiName=jdbc/${f.att(project.name)}DB

#
# The DataSource JDBC Driver
#
<#if project.connectionInfo?exists && project.connectionInfo.driver?exists>
dataSource.jdbcDriver=${project.connectionInfo.driver}
<#else>
#dataSource.jdbcDriver=
</#if>

#
# The DataSource JDBC connection url
#
<#if project.connectionInfo?exists && project.connectionInfo.url?exists>
dataSource.jdbcUrl=${project.connectionInfo.url}
<#else>
#dataSource.jdbcUrl=
</#if>

#
# The DataSource username
#
<#if project.connectionInfo?exists && project.connectionInfo.user?exists>
dataSource.username=${project.connectionInfo.user}
<#else>
#dataSource.username=
</#if>

#
# The DataSource password
#
<#if project.connectionInfo?exists && project.connectionInfo.password?exists>
dataSource.password=${project.connectionInfo.password}
<#else>
#dataSource.password=
</#if>

